local mod = RW:Boss("Blood Prince Council", "Icecrown Citadel", "Icecrown Citadel", "The Crimson Hall")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_princetaldaram]]
mod.SubCatIcon = [[Interface\Icons\achievement_dungeon_crimsonhall]]

------------------------------------
-- Variables
-- Invocation of Blood
local tInvocationCD, wInvocation

-----------------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.name = "Blood Prince Council"
		
		L.Keleseth = "Kelseth"
		L.Taldaram = "Taldaram"
		L.Valanar = "Valanar"
		
		L.target_switch = "Target Switch possible"
		
		L.invocation_switch = "Switch to %s!"
		L.invocation_switch_opt = "Warning for when its time to switch target"
	end
	L = mod:GetLocale()
	mod.L = L
	
	mod:SetTrigger(34796)
	mod:SetWin()
	
	tInvocationCD		= self:CDTimer(33, L.target_switch, 70952)
	
	wInvocation			= self:CustomWarning(L.invocation_switch, L.invocation_switch_opt, 70952)
end

-----------------------------------------
-- Locals

-----------------------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Invocation", 70952, 70981, 70982)
end

function mod:Invocation(event, args)
	if event == "SPELL_AURA_APPLIED" then
		tInvocationCD:Start()
		wInvocation:Show()
	end
end